<?php
$tdatadefaulted_waiting = array();
$tdatadefaulted_waiting[".searchableFields"] = array();
$tdatadefaulted_waiting[".ShortName"] = "defaulted_waiting";
$tdatadefaulted_waiting[".OwnerID"] = "";
$tdatadefaulted_waiting[".OriginalTable"] = "defaulted_waiting";


$tdatadefaulted_waiting[".pagesByType"] = my_json_decode( "{\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdatadefaulted_waiting[".originalPagesByType"] = $tdatadefaulted_waiting[".pagesByType"];
$tdatadefaulted_waiting[".pages"] = types2pages( my_json_decode( "{\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdatadefaulted_waiting[".originalPages"] = $tdatadefaulted_waiting[".pages"];
$tdatadefaulted_waiting[".defaultPages"] = my_json_decode( "{\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list\",\"search\":\"search\"}" );
$tdatadefaulted_waiting[".originalDefaultPages"] = $tdatadefaulted_waiting[".defaultPages"];

//	field labels
$fieldLabelsdefaulted_waiting = array();
$fieldToolTipsdefaulted_waiting = array();
$pageTitlesdefaulted_waiting = array();
$placeHoldersdefaulted_waiting = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsdefaulted_waiting["English"] = array();
	$fieldToolTipsdefaulted_waiting["English"] = array();
	$placeHoldersdefaulted_waiting["English"] = array();
	$pageTitlesdefaulted_waiting["English"] = array();
	$fieldLabelsdefaulted_waiting["English"]["id"] = "Id";
	$fieldToolTipsdefaulted_waiting["English"]["id"] = "";
	$placeHoldersdefaulted_waiting["English"]["id"] = "";
	$fieldLabelsdefaulted_waiting["English"]["customer_id"] = "Customer Id";
	$fieldToolTipsdefaulted_waiting["English"]["customer_id"] = "";
	$placeHoldersdefaulted_waiting["English"]["customer_id"] = "";
	$fieldLabelsdefaulted_waiting["English"]["new_loan_amount"] = "New Loan Amount";
	$fieldToolTipsdefaulted_waiting["English"]["new_loan_amount"] = "";
	$placeHoldersdefaulted_waiting["English"]["new_loan_amount"] = "";
	$fieldLabelsdefaulted_waiting["English"]["creat_time"] = "Creat Time";
	$fieldToolTipsdefaulted_waiting["English"]["creat_time"] = "";
	$placeHoldersdefaulted_waiting["English"]["creat_time"] = "";
	$fieldLabelsdefaulted_waiting["English"]["user"] = "User";
	$fieldToolTipsdefaulted_waiting["English"]["user"] = "";
	$placeHoldersdefaulted_waiting["English"]["user"] = "";
	$fieldLabelsdefaulted_waiting["English"]["status"] = "Status";
	$fieldToolTipsdefaulted_waiting["English"]["status"] = "";
	$placeHoldersdefaulted_waiting["English"]["status"] = "";
	$fieldLabelsdefaulted_waiting["English"]["new_loan_id"] = "New Loan Id";
	$fieldToolTipsdefaulted_waiting["English"]["new_loan_id"] = "";
	$placeHoldersdefaulted_waiting["English"]["new_loan_id"] = "";
	$fieldLabelsdefaulted_waiting["English"]["old_loan_id"] = "Old Loan Id";
	$fieldToolTipsdefaulted_waiting["English"]["old_loan_id"] = "";
	$placeHoldersdefaulted_waiting["English"]["old_loan_id"] = "";
	if (count($fieldToolTipsdefaulted_waiting["English"]))
		$tdatadefaulted_waiting[".isUseToolTips"] = true;
}


	$tdatadefaulted_waiting[".NCSearch"] = true;



$tdatadefaulted_waiting[".shortTableName"] = "defaulted_waiting";
$tdatadefaulted_waiting[".nSecOptions"] = 0;

$tdatadefaulted_waiting[".mainTableOwnerID"] = "";
$tdatadefaulted_waiting[".entityType"] = 0;
$tdatadefaulted_waiting[".connId"] = "easy_cash_at_localhost";


$tdatadefaulted_waiting[".strOriginalTableName"] = "defaulted_waiting";

	



$tdatadefaulted_waiting[".showAddInPopup"] = false;

$tdatadefaulted_waiting[".showEditInPopup"] = false;

$tdatadefaulted_waiting[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatadefaulted_waiting[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatadefaulted_waiting[".listAjax"] = false;
//	temporary
$tdatadefaulted_waiting[".listAjax"] = false;

	$tdatadefaulted_waiting[".audit"] = true;

	$tdatadefaulted_waiting[".locking"] = false;


$pages = $tdatadefaulted_waiting[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadefaulted_waiting[".edit"] = true;
	$tdatadefaulted_waiting[".afterEditAction"] = 1;
	$tdatadefaulted_waiting[".closePopupAfterEdit"] = 1;
	$tdatadefaulted_waiting[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadefaulted_waiting[".add"] = true;
$tdatadefaulted_waiting[".afterAddAction"] = 1;
$tdatadefaulted_waiting[".closePopupAfterAdd"] = 1;
$tdatadefaulted_waiting[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadefaulted_waiting[".list"] = true;
}



$tdatadefaulted_waiting[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadefaulted_waiting[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadefaulted_waiting[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadefaulted_waiting[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadefaulted_waiting[".printFriendly"] = true;
}



$tdatadefaulted_waiting[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadefaulted_waiting[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadefaulted_waiting[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadefaulted_waiting[".isUseAjaxSuggest"] = true;

$tdatadefaulted_waiting[".rowHighlite"] = true;



																								

$tdatadefaulted_waiting[".ajaxCodeSnippetAdded"] = false;

$tdatadefaulted_waiting[".buttonsAdded"] = false;

$tdatadefaulted_waiting[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadefaulted_waiting[".isUseTimeForSearch"] = false;


$tdatadefaulted_waiting[".badgeColor"] = "DB7093";


$tdatadefaulted_waiting[".allSearchFields"] = array();
$tdatadefaulted_waiting[".filterFields"] = array();
$tdatadefaulted_waiting[".requiredSearchFields"] = array();

$tdatadefaulted_waiting[".googleLikeFields"] = array();
$tdatadefaulted_waiting[".googleLikeFields"][] = "id";
$tdatadefaulted_waiting[".googleLikeFields"][] = "new_loan_id";
$tdatadefaulted_waiting[".googleLikeFields"][] = "customer_id";
$tdatadefaulted_waiting[".googleLikeFields"][] = "new_loan_amount";
$tdatadefaulted_waiting[".googleLikeFields"][] = "creat_time";
$tdatadefaulted_waiting[".googleLikeFields"][] = "user";
$tdatadefaulted_waiting[".googleLikeFields"][] = "status";
$tdatadefaulted_waiting[".googleLikeFields"][] = "old_loan_id";



$tdatadefaulted_waiting[".tableType"] = "list";

$tdatadefaulted_waiting[".printerPageOrientation"] = 0;
$tdatadefaulted_waiting[".nPrinterPageScale"] = 100;

$tdatadefaulted_waiting[".nPrinterSplitRecords"] = 40;

$tdatadefaulted_waiting[".geocodingEnabled"] = false;










$tdatadefaulted_waiting[".pageSize"] = 20;

$tdatadefaulted_waiting[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadefaulted_waiting[".strOrderBy"] = $tstrOrderBy;

$tdatadefaulted_waiting[".orderindexes"] = array();


$tdatadefaulted_waiting[".sqlHead"] = "SELECT id,  new_loan_id,  customer_id,  new_loan_amount,  creat_time,  `user`,  status,  old_loan_id";
$tdatadefaulted_waiting[".sqlFrom"] = "FROM defaulted_waiting";
$tdatadefaulted_waiting[".sqlWhereExpr"] = "(status = \"waiting\")";
$tdatadefaulted_waiting[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadefaulted_waiting[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadefaulted_waiting[".arrGroupsPerPage"] = $arrGPP;

$tdatadefaulted_waiting[".highlightSearchResults"] = true;

$tableKeysdefaulted_waiting = array();
$tableKeysdefaulted_waiting[] = "id";
$tdatadefaulted_waiting[".Keys"] = $tableKeysdefaulted_waiting;


$tdatadefaulted_waiting[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "defaulted_waiting";
	$fdata["Label"] = GetFieldLabel("defaulted_waiting","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadefaulted_waiting["id"] = $fdata;
		$tdatadefaulted_waiting[".searchableFields"][] = "id";
//	new_loan_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "new_loan_id";
	$fdata["GoodName"] = "new_loan_id";
	$fdata["ownerTable"] = "defaulted_waiting";
	$fdata["Label"] = GetFieldLabel("defaulted_waiting","new_loan_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "new_loan_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "new_loan_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadefaulted_waiting["new_loan_id"] = $fdata;
		$tdatadefaulted_waiting[".searchableFields"][] = "new_loan_id";
//	customer_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "customer_id";
	$fdata["GoodName"] = "customer_id";
	$fdata["ownerTable"] = "defaulted_waiting";
	$fdata["Label"] = GetFieldLabel("defaulted_waiting","customer_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "customer_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "customer_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadefaulted_waiting["customer_id"] = $fdata;
		$tdatadefaulted_waiting[".searchableFields"][] = "customer_id";
//	new_loan_amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "new_loan_amount";
	$fdata["GoodName"] = "new_loan_amount";
	$fdata["ownerTable"] = "defaulted_waiting";
	$fdata["Label"] = GetFieldLabel("defaulted_waiting","new_loan_amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "new_loan_amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "new_loan_amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadefaulted_waiting["new_loan_amount"] = $fdata;
		$tdatadefaulted_waiting[".searchableFields"][] = "new_loan_amount";
//	creat_time
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "creat_time";
	$fdata["GoodName"] = "creat_time";
	$fdata["ownerTable"] = "defaulted_waiting";
	$fdata["Label"] = GetFieldLabel("defaulted_waiting","creat_time");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "creat_time";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "creat_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadefaulted_waiting["creat_time"] = $fdata;
		$tdatadefaulted_waiting[".searchableFields"][] = "creat_time";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "defaulted_waiting";
	$fdata["Label"] = GetFieldLabel("defaulted_waiting","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadefaulted_waiting["user"] = $fdata;
		$tdatadefaulted_waiting[".searchableFields"][] = "user";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "defaulted_waiting";
	$fdata["Label"] = GetFieldLabel("defaulted_waiting","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Done";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadefaulted_waiting["status"] = $fdata;
		$tdatadefaulted_waiting[".searchableFields"][] = "status";
//	old_loan_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "old_loan_id";
	$fdata["GoodName"] = "old_loan_id";
	$fdata["ownerTable"] = "defaulted_waiting";
	$fdata["Label"] = GetFieldLabel("defaulted_waiting","old_loan_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "old_loan_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "old_loan_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadefaulted_waiting["old_loan_id"] = $fdata;
		$tdatadefaulted_waiting[".searchableFields"][] = "old_loan_id";


$tables_data["defaulted_waiting"]=&$tdatadefaulted_waiting;
$field_labels["defaulted_waiting"] = &$fieldLabelsdefaulted_waiting;
$fieldToolTips["defaulted_waiting"] = &$fieldToolTipsdefaulted_waiting;
$placeHolders["defaulted_waiting"] = &$placeHoldersdefaulted_waiting;
$page_titles["defaulted_waiting"] = &$pageTitlesdefaulted_waiting;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["defaulted_waiting"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["defaulted_waiting"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_defaulted_waiting()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  new_loan_id,  customer_id,  new_loan_amount,  creat_time,  `user`,  status,  old_loan_id";
$proto0["m_strFrom"] = "FROM defaulted_waiting";
$proto0["m_strWhere"] = "(status = \"waiting\")";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "status = \"waiting\"";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "defaulted_waiting",
	"m_srcTableName" => "defaulted_waiting"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "= \"waiting\"";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "defaulted_waiting",
	"m_srcTableName" => "defaulted_waiting"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "defaulted_waiting";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "new_loan_id",
	"m_strTable" => "defaulted_waiting",
	"m_srcTableName" => "defaulted_waiting"
));

$proto8["m_sql"] = "new_loan_id";
$proto8["m_srcTableName"] = "defaulted_waiting";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "customer_id",
	"m_strTable" => "defaulted_waiting",
	"m_srcTableName" => "defaulted_waiting"
));

$proto10["m_sql"] = "customer_id";
$proto10["m_srcTableName"] = "defaulted_waiting";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "new_loan_amount",
	"m_strTable" => "defaulted_waiting",
	"m_srcTableName" => "defaulted_waiting"
));

$proto12["m_sql"] = "new_loan_amount";
$proto12["m_srcTableName"] = "defaulted_waiting";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "creat_time",
	"m_strTable" => "defaulted_waiting",
	"m_srcTableName" => "defaulted_waiting"
));

$proto14["m_sql"] = "creat_time";
$proto14["m_srcTableName"] = "defaulted_waiting";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "defaulted_waiting",
	"m_srcTableName" => "defaulted_waiting"
));

$proto16["m_sql"] = "`user`";
$proto16["m_srcTableName"] = "defaulted_waiting";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "defaulted_waiting",
	"m_srcTableName" => "defaulted_waiting"
));

$proto18["m_sql"] = "status";
$proto18["m_srcTableName"] = "defaulted_waiting";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "old_loan_id",
	"m_strTable" => "defaulted_waiting",
	"m_srcTableName" => "defaulted_waiting"
));

$proto20["m_sql"] = "old_loan_id";
$proto20["m_srcTableName"] = "defaulted_waiting";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "defaulted_waiting";
$proto23["m_srcTableName"] = "defaulted_waiting";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "id";
$proto23["m_columns"][] = "new_loan_id";
$proto23["m_columns"][] = "customer_id";
$proto23["m_columns"][] = "new_loan_amount";
$proto23["m_columns"][] = "creat_time";
$proto23["m_columns"][] = "user";
$proto23["m_columns"][] = "status";
$proto23["m_columns"][] = "old_loan_id";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "defaulted_waiting";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "defaulted_waiting";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="defaulted_waiting";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_defaulted_waiting = createSqlQuery_defaulted_waiting();


	
		;

								

$tdatadefaulted_waiting[".sqlquery"] = $queryData_defaulted_waiting;



$tableEvents["defaulted_waiting"] = new eventsBase;
$tdatadefaulted_waiting[".hasEvents"] = false;

?>